package com.ag.web.demo;

import com.alibaba.druid.sql.ast.SQLStatement;
import com.alibaba.druid.sql.dialect.oracle.parser.OracleStatementParser;
import com.alibaba.druid.sql.dialect.oracle.visitor.OracleSchemaStatVisitor;
import com.alibaba.druid.sql.parser.SQLStatementParser;
import com.alibaba.fastjson.annotation.JSONField;

/**
 * Created by shaoqiang on 2017/7/13.
 */

public class BeanpojoDemo {



    private String tId;
    private String name;
    private String sex;
    private String stringField;
    private String DEPT_ID;
    private String NATION;
    private String EMPLOYEE_ID;
    private String SEX;
    private String BIRTH_DATE;
    private String EMPLOYEE_CODE;

    public String getText1() {
        return text1;
    }

    public void setText1(String text1) {
        this.text1 = text1;
    }

    public String getNumber1() {
        return number1;
    }

    public void setNumber1(String number1) {
        this.number1 = number1;
    }

    private String EMAIL;
    private String text1;
    private String number1;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getStringField() {
        return stringField;
    }

    public void setStringField(String stringField) {
        this.stringField = stringField;
    }

    @JSONField(name = "DEPT_ID")
    public String getDEPT_ID() {
        return DEPT_ID;
    }

    public void setDEPT_ID(String DEPT_ID) {
        this.DEPT_ID = DEPT_ID;
    }
    @JSONField(name = "getNATION")
    public String getNATION() {
        return NATION;
    }

    public void setNATION(String NATION) {
        this.NATION = NATION;
    }
    @JSONField(name = "EMPLOYEE_ID")
    public String getEMPLOYEE_ID() {
        return EMPLOYEE_ID;
    }

    public void setEMPLOYEE_ID(String EMPLOYEE_ID) {
        this.EMPLOYEE_ID = EMPLOYEE_ID;
    }

    @JSONField(name = "SEX")
    public String getSEX() {
        return SEX;
    }

    public void setSEX(String SEX) {
        this.SEX = SEX;
    }

    @JSONField(name = "BIRTH_DATE")
    public String getBIRTH_DATE() {
        return BIRTH_DATE;
    }

    public void setBIRTH_DATE(String BIRTH_DATE) {
        this.BIRTH_DATE = BIRTH_DATE;
    }

    @JSONField(name = "EMPLOYEE_CODE")
    public String getEMPLOYEE_CODE() {
        return EMPLOYEE_CODE;
    }

    public void setEMPLOYEE_CODE(String EMPLOYEE_CODE) {
        this.EMPLOYEE_CODE = EMPLOYEE_CODE;
    }
    @JSONField(name = "EMAIL")
    public String getEMAIL() {
        return EMAIL;
    }

    public void setEMAIL(String EMAIL) {
        this.EMAIL = EMAIL;
    }

    @JSONField(name = "REAL_NAME")
    public String getREAL_NAME() {
        return REAL_NAME;
    }

    public void setREAL_NAME(String REAL_NAME) {
        this.REAL_NAME = REAL_NAME;
    }

    public String getREMARK() {
        return REMARK;
    }

    public void setREMARK(String REMARK) {
        this.REMARK = REMARK;
    }

    public String getCOMPANY_ID() {
        return COMPANY_ID;
    }

    public void setCOMPANY_ID(String COMPANY_ID) {
        this.COMPANY_ID = COMPANY_ID;
    }

    private String REAL_NAME;
    private String REMARK;
    private String COMPANY_ID;

    public String gettId() {
        return tId;
    }

    public void settId(String tId) {
        this.tId = tId;
    }
//   [{"DEPT_ID":"","NATION":"","EMPLOYEE_ID":"","SEX":"2","BIRTH_DATE":"2017-08-08 00:00:00.000","EMPLOYEE_CODE":"23","EMAIL":"","REAL_NAME":"333","REMARK":"","COMPANY_ID":""}]
}
